ClusterManager (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.ClusterManager interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Interface ClusterManager

All Superinterfaces:
  Manager

All Known Implementing Classes:
  DeltaManager, SimpleTcpReplicationManager

public interface ClusterManager
extends Manager

The common interface used by all cluster manager. This is so that we can have a more pluggable way of swapping session managers for different algorithms.

Author:
  Filip Hanik, Peter Rossbach

Method Summary
`CatalinaCluster` | `getCluster()`
`java.lang.String[]` | `getInvalidatedSessions()` When the manager expires session not tied to a request.
`java.lang.String` | `getName()` Return the name of the manager, at host /context name and at engine hostname+/context.
`boolean` | `isDefaultMode()`
`boolean` | `isSendClusterDomainOnly()`
`void` | `messageDataReceived(ClusterMessage msg)` A message was received from another node, this is the callback method to implement if you are interested in receiving replication messages.
`ClusterMessage` | `requestCompleted(java.lang.String sessionId)` When the request has been completed, the replication valve will notify the manager, and the manager will decide whether any replication is needed or not.
`void` | `setCluster(CatalinaCluster cluster)`
`void` | `setDefaultMode(boolean mode)`
`void` | `setName(java.lang.String name)` Set the name of the manager, at host /context name and at engine hostname+/context
`void` | `setSendClusterDomainOnly(boolean sendClusterDomainOnly)`

Methods inherited from interface org.apache.catalina.Manager
`add, addPropertyChangeListener, backgroundProcess, changeSessionId, createEmptySession, createSession, createSession, findSession, findSessions, getActiveSessions, getContainer, getDistributable, getExpiredSessions, getInfo, getMaxActive, getMaxInactiveInterval, getRejectedSessions, getSessionAverageAliveTime, getSessionCounter, getSessionIdLength, getSessionMaxAliveTime, load, remove, removePropertyChangeListener, setContainer, setDistributable, setExpiredSessions, setMaxActive, setMaxInactiveInterval, setRejectedSessions, setSessionAverageAliveTime, setSessionCounter, setSessionIdLength, setSessionMaxAliveTime, unload`

Method Detail

### messageDataReceived

    public void messageDataReceived(ClusterMessage msg)

  A message was received from another node, this is the callback method to implement if you are interested in receiving replication messages.

  Parameters:
    `msg` - - the message received.

### requestCompleted

    public ClusterMessage requestCompleted(java.lang.String sessionId)

  When the request has been completed, the replication valve will notify the manager, and the manager will decide whether any replication is needed or not. If there is a need for replication, the manager will create a session message and that will be replicated. The cluster determines where it gets sent.

  Parameters:
    `sessionId` - - the sessionId that just completed.
  Returns:
    a SessionMessage to be sent.

### getInvalidatedSessions

    public java.lang.String[] getInvalidatedSessions()

  When the manager expires session not tied to a request. The cluster will periodically ask for a list of sessions that should expire and that should be sent across the wire.

  Returns:
    String[] The invalidated sessions

### getName

    public java.lang.String getName()

  Return the name of the manager, at host /context name and at engine hostname+/context.

  Returns:
    String
  Since:
    5.5.10

### setName

    public void setName(java.lang.String name)

  Set the name of the manager, at host /context name and at engine hostname+/context

  Parameters:
    `name` -
  Since:
    5.5.10

### getCluster

    public CatalinaCluster getCluster()

### setCluster

    public void setCluster(CatalinaCluster cluster)

### isSendClusterDomainOnly

    public boolean isSendClusterDomainOnly()

  Returns:
    Manager send only to same cluster domain.
  Since:
    5.5.10

### setSendClusterDomainOnly

    public void setSendClusterDomainOnly(boolean sendClusterDomainOnly)

  Parameters:
    `sendClusterDomainOnly` - Flag value.
  Since:
    5.5.10

### setDefaultMode

    public void setDefaultMode(boolean mode)

  Parameters:
    `mode` - The mode
  Since:
    5.5.10

### isDefaultMode

    public boolean isDefaultMode()

  Since:
    5.5.10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.